> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new bump

> Create a new bump which can be an add-on or upsell product to enhance sales.

- **Request Headers:**
  - `x-store-id` (string, required): The ID of the store making the request.

- **Request Body:**
  - `title` (string, required): Title of the bump.
  - `price` (number, required): Price of the bump in cents.
  - `description` (string, optional): Description of the bump.
  - `badge_title` (string, optional): Title of the badge for the bump.
  - `badge_color` (string, optional): Color of the badge.

- **Response:** The created bump object.

This endpoint facilitates the creation of catchy add-ons for product pages.



## OpenAPI

````yaml /api-reference/growth-api.json post /bumps
openapi: 3.0.0
info:
  title: Growth API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
paths:
  /bumps:
    post:
      tags:
        - Bumps
      summary: Create a new bump
      description: >-
        Create a new bump which can be an add-on or upsell product to enhance
        sales.


        - **Request Headers:**
          - `x-store-id` (string, required): The ID of the store making the request.

        - **Request Body:**
          - `title` (string, required): Title of the bump.
          - `price` (number, required): Price of the bump in cents.
          - `description` (string, optional): Description of the bump.
          - `badge_title` (string, optional): Title of the badge for the bump.
          - `badge_color` (string, optional): Color of the badge.

        - **Response:** The created bump object.


        This endpoint facilitates the creation of catchy add-ons for product
        pages.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBumpRequest'
      responses:
        '201':
          description: Bump created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BumpDetails'
      security:
        - storeIdHeader: []
components:
  schemas:
    CreateBumpRequest:
      type: object
      properties:
        title:
          type: string
        price:
          type: number
        description:
          type: string
        badge_title:
          type: string
        badge_color:
          type: string
      required:
        - title
        - price
    BumpDetails:
      type: object
      properties:
        id:
          type: string
        store_id:
          type: string
        title:
          type: string
        description:
          type: string
        price:
          type: number
        badge_title:
          type: string
        badge_color:
          type: string
        sales:
          type: integer
        revenue:
          type: number
        created_at:
          type: string
          format: date-time
        deliverables:
          type: array
          items:
            type: object
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````